Bug 428277 - Audit subsystem SIGUSR2 support
Audit subsystem SIGUSR2 support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
medium Severity low
: rc
: ---
Assigned To: Eric Paris
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 08:31 EST by Steve Grubb
Modified: 2009-01-20 15:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:10:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2008-01-10 08:31:57 EST
Description of problem:
The kernel audit subsytem needs to store information about sender of SIGUSR2 to
the audit daemon. This is already done for SIGUSR1 and SIGTERM. So there should
just be a simple modification to support sigusr2 like the others.

This is needed because the audit daemon must record certain information about
any attempt to change the running configuration of the audit daemon.

This should be tested by "service auditd resume" followed by "ausearch --start
recent -m DAEMON_RESUME". This will need user space support to work correctly.
Comment 1 RHEL Product and Program Management 2008-04-04 14:39:57 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2008-07-23 14:54:30 EDT
in kernel-2.6.18-99.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 errata-xmlrpc 2009-01-20 15:10:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.